/***************************************************************************
 *                                                                         *
 *   copyright (C) 2007-2008 by Timo Benk                                  *
 *   email: tbenk@pwsafe.de                                                *
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License version 2        *
 *   as published by the Free Software Foundation.                         *
 *                                                                         *
 ***************************************************************************/

#ifndef SHA356_INIT_STATE_ZERO
#define SHA356_INIT_STATE_ZERO 1

#include <stdio.h>
#include <stdlib.h>
#include <string.h>
#include <assert.h>
#include <gcrypt.h>
#include <gcrypt-module.h>
#include "config.h"
#include "secmem.h"

#ifdef __cplusplus
extern "C" {
#endif

#define DIM(v) (sizeof(v)/sizeof((v)[0]))
#define rol(x,n) ( ((x) << (n)) | ((x) >> (32-(n))) )

unsigned int SHA1_INIT_STATE_ZERO;
void register_sha1_init_state_zero ();

#ifdef __cplusplus
}
#endif

#endif

/* vim:set expandtab tabstop=4 shiftwidth=4 softtabstop=4 nowrap: */
